Cookies management

Bootstrap 5 Cookies management plugin

This component is used to save in the browser data that we want to have access at the next user visit. For example how many times or when last time user visit our page.

Cookies management in the latest Bootstrap 5. Manage data stored in the browser memory. Thanks to the component, you can add, delete, get data and check their end time.

Note: Read the API tab to find all available options and advanced customization


Basic example

The Cookies Management Component provides methods to add, remove and get cookies


Advanced example

Show Modal for new users

Using the showModalNewUser method you can display the modal for new users. Click start button to start simulate this behavior. After next click modal don't show any more until you click reset.

        
            
              import React from 'react';
              import {
                MDBBtn,
                MDBModal,
                MDBModalDialog,
                MDBModalContent,
                MDBModalHeader,
                MDBModalTitle,
                MDBModalBody,
                MDBModalFooter,
              } from 'mdb-react-ui-kit';
              import { useMDBCookies } from 'mdb-react-cookies-management';

              export default function App() {
                const [val, { setItem, removeItem }] = useMDBCookies('first-visit', '');
                const [isFirstVisit, { setItem: setIsFirstVisit }] = useMDBCookies('is-first-visit', true);
                const [firstVisitModal, setFirstVisitModal] = useState(false);

                const handleClick = () => {
                  if (isFirstVisit === 'true') {
                    setFirstVisitModal(true);
                    setIsFirstVisit(false, { expires: 1 });
                  }
                };

                return (
                  <section className='bg-white border rounded-5 w-100 p-4 d-flex justify-content-evenly'>
                    <MDBBtn onClick={handleClick}>Show modal</MDBBtn>
                    <MDBBtn onClick={() => setIsFirstVisit(true, { expires: 1 })}>Reset</MDBBtn>
                    <MDBModal open={firstVisitModal} onClose={() => setFirstVisitModal(false)} tabIndex='-1'>
                      <MDBModalDialog>
                        <MDBModalContent>
                          <MDBModalHeader>
                            <MDBModalTitle>This is modal for new user</MDBModalTitle>
                            <MDBBtn className='btn-close' color='none' onClick={() => setFirstVisitModal(false)}></MDBBtn>
                          </MDBModalHeader>
                          <MDBModalBody>This model will not appear again until you press the reset button.</MDBModalBody>
        
                          <MDBModalFooter>
                            <MDBBtn color='secondary' onClick={() => setFirstVisitModal(false)}>
                              Close
                            </MDBBtn>
                          </MDBModalFooter>
                        </MDBModalContent>
                      </MDBModalDialog>
                    </MDBModal>
                  </section>
                );
              }
            
        
    

Show modal after next visit

If you want to display the modal to the person who will visit the page again, you can use the showModalScoring method. Enter as a parameter the information after how many visits to the website the modal should appear. Click start button 3 times to test this feature.

        
            
              import React from 'react';
              import {
                MDBBtn,
                MDBModal,
                MDBModalDialog,
                MDBModalContent,
                MDBModalHeader,
                MDBModalTitle,
                MDBModalBody,
                MDBModalFooter,
              } from 'mdb-react-ui-kit';
              import { useMDBCookies } from 'mdb-react-cookies-management';

              export default function App() {
                const [val, { setItem, removeItem }] = useMDBCookies('first-visit', '');
                const [counterModal, setCounterModal] = useState(false);
                const [visitCounter, { setItem: setVisitCounter }] = useMDBCookies('visit-counter', 0);

                const handleVisitClick = () => {
                  setVisitCounter(Number(visitCounter) + 1, { expires: 1 });
              
                  if (Number(visitCounter) === 2) setCounterModal(true);
                };

                return (
                  <section className='bg-white border rounded-5 w-100 p-4 d-flex justify-content-evenly'>
                    <MDBBtn onClick={handleVisitClick}>Show modal</MDBBtn>
                    <MDBBtn onClick={() => setVisitCounter(0)}>Reset</MDBBtn>
                    <MDBModal open={counterModal} onClose={() => setCounterModal(false)} tabIndex='-1'>
                      <MDBModalDialog>
                        <MDBModalContent>
                          <MDBModalHeader>
                            <MDBModalTitle>This is modal for new user</MDBModalTitle>
                            <MDBBtn className='btn-close' color='none' onClick={() => setCounterModal(false)}></MDBBtn>
                          </MDBModalHeader>
                          <MDBModalBody>This model will not appear again until you press the reset button.</MDBModalBody>
        
                          <MDBModalFooter>
                            <MDBBtn color='secondary' onClick={() => setCounterModal(false)}>
                              Close
                            </MDBBtn>
                          </MDBModalFooter>
                        </MDBModalContent>
                      </MDBModalDialog>
                    </MDBModal>
                  </section>
                );
              }
            
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Cookies management - API


Import

        
            
            import { useMDBCookies } from 'mdb-react-cookies-management';
          
        
    

Properties

useMDBCookies

Name Type Default Description Example
value any '' This value is returned from the hook. It contains the current value of item in cookies or an initial value. const [value, { setItem, removeItem }] = useMDBCookies('name', 'initialValue')
name String '' A name for the key property in your cookies. const [value, { setItem, removeItem }] = useMDBCookies('name', 'initialValue')
initialValue any '' An initial value for your hook if there's no such a one in your cookies. const [value, { setItem, removeItem }] = useMDBCookies('name', 'initialValue')

Methods

Name Type Description Example
setItem Function This method sets a value in the cookies using name provided in a hook. <MDBBtn onClick={() => setItem('test')}>Set value to test</MDBBtn>
removeItem Function This method removes an item in the cookies with name provided in a hook. <MDBBtn onClick={removeItem}>Remove an item</MDBBtn>

Cookies management

Vue Bootstrap 5 Cookies management plugin

This component is used to save in the browser data that we want to have access at the next user visit. For example how many times or when last time user visit our page.

Cookies management built with the latest Bootstrap 5 and Vue 3. Options included: show modals only to new users, set a cookie, and much more.

Note: Read the API tab to find all available options and advanced customization


Basic example

The Cookies Management Component provides methods to add, remove and get cookies


Advanced example

Show Modal for new users

Using the showModalNewUser method you can display the modal for new users. Click start button to start simulate this behavior. After next click modal don't show any more until you click reset.

        
            
              <template>
                <MDBBtn color="primary" @click="setNewUserCookie">
                  Show modal
                </MDBBtn>
                <MDBBtn color="primary" @click="resetNewUserCookie"> Reset </MDBBtn>
                <MDBModal
                  id="newUserModal"
                  tabindex="-1"
                  labelledby="newUserModalLabel"
                  v-model="newUserModal"
                >
                  <MDBModalHeader>
                    <MDBModalTitle id="newUserModalLabel">
                      This is modal for new user
                    </MDBModalTitle>
                  </MDBModalHeader>
                  <MDBModalBody>
                    This model will not appear again until you press the reset
                    button and refresh the page
                  </MDBModalBody>
                  <MDBModalFooter>
                    <MDBBtn color="secondary" @click="newUserModal = false"
                      >Close</MDBBtn
                    >
                  </MDBModalFooter>
                </MDBModal>
              </template>
            
        
    
        
            
              <script>
                import { inject, ref } from "vue";
                import { MDBBtn, MDBModal, MDBModalHeader, MDBModalTitle, MDBModalBody, MDBModalFooter } from 'mdb-vue-ui-kit';

                export default {
                  components: {
                    MDBBtn,
                    MDBModal,
                    MDBModalHeader,
                    MDBModalTitle,
                    MDBModalBody,
                    MDBModalFooter
                  },
                  setup() {
                    const Cookie = inject("MDBCookies");
                    const newUserModal = ref(false);
                    const setNewUserCookie = () => {
                      Cookie.showModalNewUser(newUserModal);
                    };
                    const resetNewUserCookie = () => {
                      Cookie.remove("is-first-visit");
                    };

                    return {
                      newUserModal,
                      setNewUserCookie,
                      resetNewUserCookie,
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { inject, ref } from "vue";
                import { MDBBtn, MDBModal, MDBModalHeader, MDBModalTitle, MDBModalBody, MDBModalFooter } from 'mdb-vue-ui-kit';

                const Cookie = inject("MDBCookies");
                const newUserModal = ref(false);
                const setNewUserCookie = () => {
                  Cookie.showModalNewUser(newUserModal);
                };
                const resetNewUserCookie = () => {
                  Cookie.remove("is-first-visit");
                };
              </script>
            
        
    

Show modal after next visit

If you want to display the modal to the person who will visit the page again, you can use the showModalScoring method. Enter as a parameter the information after how many visits to the website the modal should appear. Click start button 3 times to test this feature.

        
            
              <template>
                <MDBBtn color="primary" @click="setNextVisitCookie">
                  Show modal
                </MDBBtn>
                <MDBBtn color="primary" @click="resetNextVisitCookie">
                  Reset
                </MDBBtn>
                <MDBModal
                  id="nextVisitModal"
                  tabindex="-1"
                  labelledby="nextVisitModalLabel"
                  v-model="nextVisitModal"
                >
                  <MDBModalHeader>
                    <MDBModalTitle id="nextVisitModalLabel">
                      This model shows up after the third visit to the page.
                    </MDBModalTitle>
                  </MDBModalHeader>
                  <MDBModalBody>
                    This model will not appear again until you press the reset
                    button and refresh the page
                  </MDBModalBody>
                  <MDBModalFooter>
                    <MDBBtn color="secondary" @click="nextVisitModal = false">
                      Close
                    </MDBBtn>
                  </MDBModalFooter>
                </MDBModal>
              </template>
            
        
    
        
            
              <script>
                import { inject, ref } from "vue";
                import { MDBBtn, MDBModal, MDBModalHeader, MDBModalTitle, MDBModalBody, MDBModalFooter } from 'mdb-vue-ui-kit';

                export default {
                  components: {
                    MDBBtn,
                    MDBModal,
                    MDBModalHeader,
                    MDBModalTitle,
                    MDBModalBody,
                    MDBModalFooter
                  },
                  setup() {
                    const Cookie = inject("MDBCookies");
                    const nextVisitModal = ref(false);
                    const setNextVisitCookie = () => {
                      Cookie.showModalScoring(nextVisitModal, 3);
                    };
                    const resetNextVisitCookie = () => {
                      Cookie.remove("visit-counter");
                    };

                    return {
                      nextVisitModal,
                      setNextVisitCookie,
                      resetNextVisitCookie,
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { inject, ref } from "vue";
                import { MDBBtn, MDBModal, MDBModalHeader, MDBModalTitle, MDBModalBody, MDBModalFooter } from 'mdb-vue-ui-kit';

                const Cookie = inject("MDBCookies");
                const nextVisitModal = ref(false);
                const setNextVisitCookie = () => {
                  Cookie.showModalScoring(nextVisitModal, 3);
                };
                const resetNextVisitCookie = () => {
                  Cookie.remove("visit-counter");
                };
              </script>
            
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Cookies management - API


Import

        
            
          import { createApp } from "vue";
          import App from "./App.vue";
          import Cookie from 'mdb-vue-cookies';
          
          const app = createApp(App);
          
          app.use(Cookie).mount("#app");
        
        
    

Methods

Name Description Example
set Set Cookie Cookie.set( ... );
get Get Cookie Cookie.get( ... );
set Remove Cookie Cookie.remove( ... );
showModalNewUser Shows modal for new user Cookie.showModalNewUser( ... );
showModalScoring Shows modal on specific visit Cookie.showModalScoring( ... );
        
            
          <script>
            import { inject, ref } from "vue";
            export default {
              setup() {
                const Cookie = inject("MDBCookies");
                Cookie.set('cookie-name', value, { expires: 1 });
              },
            };
          </script>

Cookies management

Angular Bootstrap 5 Cookies management plugin

This component is used to save in the browser data that we want to have access at the next user visit. For example how many times or when last time user visit our page.

Cookies management built with the latest Bootstrap 5. Options included: show modals only to new users, set a cookie, and much more.

Note: Read the API tab to find all available options and advanced customization


Basic example

The Cookies Management Service provides methods to add, remove and get cookies


Advanced example

Show Modal for new users

Using the showModalNewUser method you can display the modal for new users. Click start button to start simulate this behavior. After next click modal don't show any more until you click reset.

        
            
          <button (click)="setCookieForNewUser()" type="button" class="btn btn-primary">
            Show Modal
          </button>
          <button (click)="resetCookieForNewUser()" type="button" class="btn btn-primary">
            Reset
          </button>
          
        
    
        
            
          import { Component } from '@angular/core';
          import { MdbCookiesManagementService } from 'mdb-angular-cookies-management';
          import { MdbModalRef, MdbModalService } from 'mdb-angular-ui-kit/modal';

          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
          })
          export class AppComponent {
            modalRefNewUser: MdbModalRef<ModalNewUserComponent> | null = null;
          
            constructor(
              private _cookieService: MdbCookiesManagementService,
              private _modalService: MdbModalService
            ) {}
          
            setCookieForNewUser() {
              const isFirstVisitOnPage = !this._cookieService.get('is-first-visit');
              if (isFirstVisitOnPage) {
                this.showModalNewUser();
              }
            }
          
            resetCookieForNewUser() {
              this._cookieService.remove('is-first-visit');
            }
          
            showModalNewUser() {
                this.modalRefNewUser = this._modalService.open(ModalNewUserComponent);
                this.modalRefNewUser.onClose.subscribe((message: any) => {
                  this._cookieService.set('is-first-visit', false, { expires: 365 });
                });
            }
          }
          
          
        
    

Show modal after next visit

If you want to display the modal to the person who will visit the page again, you can use the showModalScoring method. Enter as a parameter the information after how many visits to the website the modal should appear. Click start button 3 times to test this feature.

        
            
            <button (click)="setCookieForScoring()" type="button" class="btn btn-primary">
              Show Modal
            </button>
            <button (click)="resetCookieForScoring()" type="button" class="btn btn-primary">
              Reset
            </button>
            
        
    
        
            
              import { Component } from '@angular/core';
              import { MdbCookiesManagementService } from 'mdb-angular-cookies-management';
              import { MdbModalRef, MdbModalService } from 'mdb-angular-ui-kit/modal';
  
              @Component({
                selector: 'app',
                templateUrl: './app.component.html',
              })
              export class AppComponent {
                  modalRefScoring: MdbModalRef<ModalScoringComponent> | null = null;
                
                  constructor(
                    private _cookieService: MdbCookiesManagementService,
                    private _modalService: MdbModalService
                  ) {}

                  setCookieForScoring() {
                    this.showModalScoring(3);
                  }
                
                  resetCookieForScoring() {
                    this._cookieService.remove('visit-counter');
                  }
                
                  showModalScoring(value) {
                    const counter = Number(this._cookieService.get('visit-counter')) || 0;
                    const newCounter = counter + 1;
                
                    this._cookieService.set('visit-counter', newCounter, { expires: 365 });
                
                    if (newCounter === value) {
                      this.modalRefScoring = this._modalService.open(ModalScoringComponent);
                    }
                  }
              }
            
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Cookies management - API


Installation

To install and configure the plugin follow our Plugins Installation Guide. Please remember to update all the plugin names and import paths. You can find all the necessary information in the Import section.

        
            
     npm i git+https://oauth2:ACCESS_TOKEN@git.mdbootstrap.com/mdb/angular/mdb5/plugins/prd/cookies-management
     
        
    

Import

        
            
        import { MdbCookiesManagementService } from 'mdb-angular-cookies-management';
        …
        @NgModule ({
        ...
        providers: [MdbCookiesManagementService],
        ...
        })
      
        
    

Methods

Name Description Example
set(name:string,value:any,attributes:any) Set Cookie cookiesService.set('first-visit', new Date(), { expires: 1 })
get(name?:string) Get Cookie cookiesService.get('first-visit')
remove(name:string) Remove Cookie cookiesService.remove('first-visit')
        
            
          <button (click)="setCookie()" type="button" class="btn btn-primary">
            Set cookie
          </button>                         
          
        
    
        
            
          import { Component } from '@angular/core';
          import { MdbCookiesManagementService } from 'mdb-angular-cookies-management';
          
          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
          })
          export class AppComponent {
            constructor(private _cookiesService: MdbCookiesManagementService) {}
          
            setCookie() {
              this._cookiesService.set('first-visit', new Date(), { expires: 1 });
            }
          }